## DmapRecord

DmapRecord — An abstract parent to the various record classes.

## Functions

GArray * | dmap_record_to_blob ()
gboolean | dmap_record_set_from_blob ()

## Types and Values

enum | DmapMediaKind

## Object Hierarchy

        GEnum
        ╰── DmapMediaKind
        GInterface
        ╰── DmapRecord

## Description

DmapRecord provides an abstract parent to the DmapAvRecord and DmapImageRecord classes.

## Functions

### dmap_record_to_blob ()

    GArray *
    dmap_record_to_blob (DmapRecord *record);

#### Parameters

record | A DmapRecord. |

#### Returns

A byte array representation of the record.

[element-type guint8][transfer container]

### dmap_record_set_from_blob ()

    gboolean
    dmap_record_set_from_blob (DmapRecord *record,
                               GArray *blob);

#### Parameters

record | The record to set. |
blob | A byte array representation of a record. | [element-type guint8]

#### Returns

True on success, else false.

## Types and Values

### enum DmapMediaKind

#### Members

DMAP_MEDIA_KIND_MUSIC |  |
DMAP_MEDIA_KIND_MOVIE |  |
DMAP_MEDIA_KIND_PODCAST |  |
DMAP_MEDIA_KIND_TV_SHOW |  |